using System;

namespace ArtikelUpdateOpencart.Models
{
    internal struct FalscheKundenDaten : IComparable<FalscheKundenDaten>
    {
        public string Kundennummer;
        public string Artikelnummer;

        public FalscheKundenDaten(string kundennummer, string artikelnummer)
        {
            this.Kundennummer = kundennummer;
            this.Artikelnummer = artikelnummer;
        }

        public int CompareTo(FalscheKundenDaten other)
        {
            if (other.Kundennummer == null)
            {
                return 1;
            }

            return this.Kundennummer.CompareTo(other.Kundennummer);
        }
    }
}
